<?php

/*
Plugin Name: HTMLArea
Plugin URI: http://collingrady.com/2005/02/14/htmlarea/
Description: Replaces comment textareas with HTMLAreas
Author: Collin Grady
Author URI: http://collingrady.com/
Version: 0.3
*/

$htmlcomments = true;
$htmlposting = true;

function blogroot()
{
    $blog = get_settings("siteurl");
    $blog = preg_replace("#http://[^/]+#","",$blog);
    echo $blog;
}

function addPublicScript()
{
    if (is_single()):
?>
    <script type="text/javascript"><!--
      //<![CDATA[
      _editor_url = "<?php blogroot(); ?>/wp-content/htmlarea/";
      _editor_lang = "en";
      //]]>
    --></script>
    <script type="text/javascript" src="<?php blogroot(); ?>/wp-content/htmlarea/htmlarea.js"></script>
    <script type="text/javascript"><!--
      //<![CDATA[
      function initEditor(){
        var config = new HTMLArea.Config();
        config.statusBar = false;
        config.registerButton({
          id        : "my-blockquote",
          tooltip   : "Insert Blockquote",
          image     : "<?php blogroot(); ?>/wp-content/htmlarea/images/ed_indent_more.gif",
          textMode  : false,
          action    : function(editor, id) {
                        editor.surroundHTML('<blockquote>','</blockquote>');
                      }
        });
        config.registerButton({
          id        : "my-link",
          tooltip   : "Insert Link",
          image     : "<?php blogroot(); ?>/wp-content/htmlarea/images/ed_link.gif",
          textMode  : false,
          action    : function(editor, id) {
                        var aurl = prompt('Enter Link URL');
                        var atxt = prompt('Enter Link Text');
                        aurl = aurl?aurl:'';
                        atxt = atxt?atxt:'';
                        if ((aurl != '') && (atxt != '')) {
                          editor.insertHTML('<a href="'+aurl+'">'+atxt+'</a>');
                        }
                      }
        });
        config.registerButton({
          id        : "my-image",
          tooltip   : "Insert Image",
          image     : "<?php blogroot(); ?>/wp-content/htmlarea/images/ed_image.gif",
          textMode  : false,
          action    : function(editor, id) {
                        var iurl = prompt('Enter Image URL');
                        iurl = iurl?iurl:'';
                        if (iurl != '') {
                          editor.insertHTML('<img src="'+iurl+'" alt="" />');
                        }
                      }
        });
        config.toolbar = [
          ["bold", "italic", "strikethrough", "separator",
           "my-blockquote", "my-link", "my-image", "htmlmode"
           ]
        ];
        HTMLArea.replace("comment",config);
      }
      HTMLArea._addEvent(window,"load",initEditor);
      //]]>
    --></script>
<?
    endif;
}

function addPrivateScript()
{
?>
    <script type="text/javascript"><!--
      //<![CDATA[
      _editor_url = "<?php blogroot(); ?>/wp-content/htmlarea/";
      _editor_lang = "en";
      //]]>
    --></script>
    <script type="text/javascript" src="<?php blogroot(); ?>/wp-content/htmlarea/htmlarea.js"></script>
    <script type="text/javascript"><!--
      //<![CDATA[
      function initEditor(){
        var config = new HTMLArea.Config();
        config.statusBar = false;
        config.sizeIncludesToolbar = false;
        config.registerButton({
          id        : "my-link",
          tooltip   : "Insert Link",
          image     : "<?php blogroot(); ?>/wp-content/htmlarea/images/ed_link.gif",
          textMode  : false,
          action    : function(editor, id) {
                        var aurl = prompt('Enter Link URL');
                        var aimg = prompt('Enter Link Text');
                        editor.insertHTML('<a href="'+aurl+'">'+aimg+'</a>');
                      }
        });
        config.registerButton({
          id        : "my-image",
          tooltip   : "Insert Image",
          image     : "<?php blogroot(); ?>/wp-content/htmlarea/images/ed_image.gif",
          textMode  : false,
          action    : function(editor, id) {
                        var iurl = prompt('Enter Image URL');
                        editor.insertHTML('<img src="'+iurl+'" alt="" />');
                      }
        });
        config.toolbar = [
          ["fontname", "space",
           "fontsize", "space",
           "formatblock", "space",
           "bold", "italic", "underline", "strikethrough", "separator",
           "subscript", "superscript", "separator",
           "copy", "cut", "paste", "space", "undo", "redo" ],

          ["justifyleft", "justifycenter", "justifyright", "justifyfull", "separator",
           "lefttoright", "righttoleft", "separator",
           "insertorderedlist", "insertunorderedlist", "outdent", "indent", "separator",
           "forecolor", "hilitecolor", "separator",
           "inserthorizontalrule", "my-link", "my-image", "inserttable", "htmlmode", "separator",
           "showhelp", "about" ]
        ];
        HTMLArea.replace("content",config);
      }
      HTMLArea._addEvent(window,"load",initEditor);
      //]]>
    --></script>
    <style type="text/css">
      #quicktags { display: none; }
      #content { height: 300px; width: 710px; }
      .toolbar { width: 713px; }
    </style>
<?
}

if ($htmlposting)
    add_action( 'admin_head', 'addPrivateScript' );

if ($htmlcomments)
    add_action( 'wp_head',    'addPublicScript'  );
 
?>
